Package com.verisign.epp.interfaces.loginsecpolicy.v04

## Class EPPLoginSecPolicyRegistryTst

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - com.verisign.epp.interfaces.loginsecpolicy.v04.EPPLoginSecPolicyRegistryTst

- All Implemented Interfaces:
    `junit.framework.Test`

      public class EPPLoginSecPolicyRegistryTst
      extends junit.framework.TestCase

  Tests connecting to EPP SDK Stub Server, sending a registry system info command and asserting that the Login Security Policy Extension is returned in the response.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPLoginSecPolicyRegistryTst​(java.lang.String name)` | Allocates an `EPPLoginSecPolicyRegistryTst` with a logical name.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `handleException​(java.lang.Exception aException)` | Handle an `EPPCommandException`, which can be either a server generated error or a general exception.
    `protected void` | `setUp()` |
    `static junit.framework.Test` | `suite()` |
    `protected void` | `tearDown()` | JUNIT `tearDown`, which currently does nothing.
    `void` | `testInfo()` | Test for the registry system info command that expects the system to include the Login Security Extension.

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPLoginSecPolicyRegistryTst

          public EPPLoginSecPolicyRegistryTst​(java.lang.String name)

      Allocates an `EPPLoginSecPolicyRegistryTst` with a logical name. The constructor will initialize the base class `TestCase` with the logical name.
      Parameters:
        `name` - Logical name of the test

  - ### Method Detail

    - #### testInfo

          public void testInfo()

      Test for the registry system info command that expects the system to include the Login Security Extension.

    - #### handleException

          public void handleException​(java.lang.Exception aException)

      Handle an `EPPCommandException`, which can be either a server generated error or a general exception. If the exception was caused by a server error, "Server Error :<Response XML>" will be specified. If the exception was caused by a general algorithm error, "General Error :<Exception Description>" will be specified.
      Parameters:
        `aException` - Exception thrown during test

    - #### suite

          public static junit.framework.Test suite()

    - #### setUp

          protected void setUp()

      Overrides:
        `setUp` in class `junit.framework.TestCase`

    - #### tearDown

          protected void tearDown()

      JUNIT `tearDown`, which currently does nothing.
      Overrides:
        `tearDown` in class `junit.framework.TestCase`